> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/things-groups/how-to-configure-things-group-to-work-only-with-imei-range-tac.md).

# Lock Things Group to IMEI range (TAC)

## Lock Things Group to IMEI range

<mark style="color:orange;">`PUT`</mark> `https://console.monogoto.io/thingsgroup/{THING_GROUP_ID}`

#### Path Parameters

| Name                                               | Type   | Description                         |
| -------------------------------------------------- | ------ | ----------------------------------- |
| THING\_GROUP\_ID<mark style="color:red;">\*</mark> | String | The identifier of your Things Group |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| TOKEN\_HERE<mark style="color:red;">\*</mark> | String | Your authentication token |

#### Request Body

| Name                | Type   | Description                                             |
| ------------------- | ------ | ------------------------------------------------------- |
| TELEPHONY\_PROFILE  | String | Things Group Telephony Profile ID                       |
| THINGS\_GROUP\_NAME | String |                                                         |
| MASTER\_IMEI\_STATE | String | Replace with **true** or **false**                      |
| IMEI\_PREFIX        | String | Replace with the device IMEI range, also known as a TAC |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using **cURL:**

```bash
curl -X PUT \
    --url "https://console.monogoto.io/thingsgroup/{THING_GROUP_ID}" \
    -H "accept: application/json" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}" \
    -d "{ \"TelephonyProfileId\": \"{TELEPHONY_PROFILE}\", \"ThingsGroupName\": \"{THINGS_GROUP_NAME}\", \"IMEIPrefix\": \"{IMEI_PREFIX}\", \"LockMasterImei\": {MASTER_IMEI_STATE}}"    
```

{% hint style="info" %}
Please note that the above shown command needs to be replaced with information:

* **{THINGS\_GROUP\_ID}** - replace with Things Group ID
* **{TOKEN\_HERE}** - replace with your token
* **{TELEPHONY\_PROFILE\_ID}** - replace with your Things Group used Telephony Profile ID, this can be retrieved through [Get Things Group Information](/developer/api/things-groups/thing-group-information.md).
* **{THINGS\_GROUP\_NAME}** - replace with your Things Group used Telephony Profile ID from the first step.
* **{IMEI\_PREFIX}** - replace with the device IMEI range, also known as a TAC. In order to restrict Things inside this Thing Group to work only with devices from this IMEI range. Please note that you can send empty value in order to remove IMEI range value.
* **{MASTER\_IMEI\_STATE}** - replace with **true** or **false** value, depending on what you want to do:
  * **true** - Enable Master IMEI limitation to allow only our entered device IMEI range to get SIM card services.&#x20;
  * **false** - Disable Master IMEI limitation to allow all devices to work with this Thing.
    {% endhint %}

Example of request:

```bash
curl -X PUT \
    --url "https://console.monogoto.io/thingsgroup/ThingsGroupId_eej3421b0-bee1-4997-93aa-ce443ca43h347a" \
    -H "accept: application/json" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -d "{ \"TelephonyProfileId\": \"TelephonyProfile_ad766b40-9577-4d91-4679-01664c6834d9\", \"ThingsGroupName\": \"Project A phones\", \"IMEIPrefix\": \"35305311\", \"LockMasterImei\": true}"
```

Expected response (should show Thing Group ID):

```
ThingsGroupId_eej3421b0-bee1-4997-93aa-ce443ca43h347a
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thingsgroup/{ThingsGroupId}" method="put" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/things-groups/how-to-configure-things-group-to-work-only-with-imei-range-tac.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
